Package org.pgpainless.sop

# Class DecryptImpl

java.lang.Object
org.pgpainless.sop.DecryptImpl

All Implemented Interfaces:
  `sop.operation.Decrypt`

public class DecryptImpl extends Object implements sop.operation.Decrypt
Implementation of the

    decrypt

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`DecryptImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.ReadyWithResult<sop.DecryptionResult>`
`ciphertext(InputStream ciphertext)`
`DecryptImpl`
`verifyNotAfter(Date timestamp)`
`DecryptImpl`
`verifyNotBefore(Date timestamp)`
`DecryptImpl`
`verifyWithCert(InputStream certIn)`
`DecryptImpl`
`withKey(InputStream keyIn)`
`sop.operation.Decrypt`
`withKeyPassword(byte[] password)`
`DecryptImpl`
`withPassword(String password)`
`DecryptImpl`
`withSessionKey(sop.SessionKey sessionKey)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.Decrypt

`ciphertext, verifyWithCert, withKey, withKeyPassword`

## Constructor Details

### DecryptImpl

public DecryptImpl()

## Method Details

### verifyNotBefore

public DecryptImpl verifyNotBefore(Date timestamp) throws sop.exception.SOPGPException.UnsupportedOption

Specified by:
  `verifyNotBefore` in interface `sop.operation.Decrypt`
Throws:
  `sop.exception.SOPGPException.UnsupportedOption`

### verifyNotAfter

public DecryptImpl verifyNotAfter(Date timestamp) throws sop.exception.SOPGPException.UnsupportedOption

Specified by:
  `verifyNotAfter` in interface `sop.operation.Decrypt`
Throws:
  `sop.exception.SOPGPException.UnsupportedOption`

### verifyWithCert

public DecryptImpl verifyWithCert(InputStream certIn) throws sop.exception.SOPGPException.BadData, IOException

Specified by:
  `verifyWithCert` in interface `sop.operation.Decrypt`
Throws:
  `sop.exception.SOPGPException.BadData`
  `IOException`

### withSessionKey

public DecryptImpl withSessionKey(sop.SessionKey sessionKey) throws sop.exception.SOPGPException.UnsupportedOption

Specified by:
  `withSessionKey` in interface `sop.operation.Decrypt`
Throws:
  `sop.exception.SOPGPException.UnsupportedOption`

### withPassword

public DecryptImpl withPassword(String password)

Specified by:
  `withPassword` in interface `sop.operation.Decrypt`

### withKey

public DecryptImpl withKey(InputStream keyIn) throws sop.exception.SOPGPException.BadData, IOException, sop.exception.SOPGPException.UnsupportedAsymmetricAlgo

Specified by:
  `withKey` in interface `sop.operation.Decrypt`
Throws:
  `sop.exception.SOPGPException.BadData`
  `IOException`
  `sop.exception.SOPGPException.UnsupportedAsymmetricAlgo`

### withKeyPassword

public sop.operation.Decrypt withKeyPassword(byte[] password)

Specified by:
  `withKeyPassword` in interface `sop.operation.Decrypt`

### ciphertext

public sop.ReadyWithResult<sop.DecryptionResult> ciphertext(InputStream ciphertext) throws sop.exception.SOPGPException.BadData, sop.exception.SOPGPException.MissingArg

Specified by:
  `ciphertext` in interface `sop.operation.Decrypt`
Throws:
  `sop.exception.SOPGPException.BadData`
  `sop.exception.SOPGPException.MissingArg`